<?= $this->extend('layouts/main') ?>

<?= $this->section('content') ?>

<div class="container">
    <div class="row">
        <div class="col-12">
            <h1><?= $title ?? '' ?></h1>

            <?php if (session()->has('success')): ?>
                <div class="alert alert-success" role="alert">
                    <?= session()->getFlashdata('success') ?>
                </div>
            <?php endif; ?>

            <?php
            $errors_data = session()->has('errors') ? session()->getFlashdata('errors') : [];
            ?>

            <?php if (!empty($errors_data)): ?>
                <div class="alert alert-danger" role="alert">
                    <ul class="list-unstyled">
                        <?php foreach ($errors_data as $error): ?>
                            <li><?= $error ?></li>
                        <?php endforeach; ?>
                    </ul>

                </div>
            <?php endif; ?>

            <?php if (session()->has('file')): ?>
                <img src="uploads/thumbs/<?= session()->getFlashdata('file') ?>" alt="">
            <?php endif; ?>

            <form action="<?= route_to('main.fileupload2') ?>" enctype="multipart/form-data" method="post">

                <div class="mb-3">
                    <label for="userfile" class="form-label">Default file input example</label>
                    <input name="userfile" class="form-control <?= add_error_class($errors_data, 'userfile') ?>"
                           type="file" id="userfile">
                    <?= display_error($errors_data, 'userfile') ?>
                </div>

                <button type="submit" class="btn btn-primary">Send</button>
            </form>

        </div>
    </div>
</div>

<?= $this->endSection() ?>
